CKEDITOR.plugins.add( 'motr1',
{
	init: function( editor )
	{
		editor.addCommand( 'motr1Command',
		{
			exec : function( editor )
			{
				var selected = '';
				if  (editor.getSelection().getSelectedText()) {
					selected = editor.getSelection().getSelectedText();
				} else {
					alert('رجاء تحديد النص اولا');
					return;
				}
				editor.insertHtml( "[motr1]" + selected +"[/motr1]" );
			}
		});
		editor.ui.addButton( 'motr1',
		{
			label: 'إدراج نص متأرجح من الاسفل الى الاعلى',
			command: 'motr1Command',
			icon: this.path + 'motr1.gif'
		});
	}
});